#ifndef _INTERFACE_h
#define _INTERFACE_h
/***************************************************************
**  Define Constants
**
**  Define directives providing meaningful names for constant values.
***************************************************************/


typedef enum {
  CONFIG          = 0x02,
  MEASUREMENT     = 0xC3,

  REGISTER_STATE_COUNT
} osrRegisterState;

typedef enum {
  OSR     = 0x00,
  AGEN    = 0x02,
  CREGL   = 0x06,
  CREGH   = 0x07,
  OPTREG  = 0x08,
  BREAK   = 0x09,
  EDGES   = 0x0A,
  DEF     = 0xFF,

  REGISTER_COUNT
} controlRegisterBank;

typedef enum {
  REG      = 0x00,
  VALUE    = 0x01,

  REGISTER_INDEX
} controlRegisterIndex;

typedef enum {
  IO_VFC   = 0x03,
  IO_MAZET = 0x0C,

  IO_COUNT
} io_expander;

typedef enum {
  TINT_MS_1 = 0,
  TINT_MS_2,
  TINT_MS_4,
  TINT_MS_8,
  TINT_MS_16,
  TINT_MS_32,
  TINT_MS_64,

  TINT_COUNT
} integrationTime;

typedef enum {
  ATTENUATION_1 = 0,
  ATTENUATION_10,
  ATTENUATION_100,
  ATTENUATION_1000,

  ATTENUATION_COUNT
} attenuation;

extern void initDevice(void);
extern void startIntegration(void);

#endif
